Comments

  • Introducing MSP360™ Remote Assistant for macOS
    I was excited when I saw on the download page for macOS that "10.8 or newer" was supported.
    Like others, I've got a couple machines on 10.10.5 that cannot be upgraded and trying to find an alternative to TeamViwr... I thought I had found it!!! Sadly... NO.. after downloading and trying to install I see the msg that it has to be 10.12+
    Too bad, I know I'm not alone. There is a market for such a product (tho I know not a huge mass audience).
    If anyone has found a solution, pls reply below.
    Thanks!
    -john.

JohnL

Start FollowingSend a Message